
Redmine - Defect #10768

Redmine cannot open issues with GBP Symbol

2012-04-25 14:43 - Alan Budden

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.0

Description

If I have an issue (created in 1.3.0) with the UK pound sign in (I'm deliberately not including it in this issue in case the issue is

unreadable), opening that issue results in a 500 error and the error dump at the bottom of this page.

The only way that I've been able to recover from this and access my issues was to use phpmyadmin to remove the £ sign manually. 

I then tested creating a new issue with 1.4.0 and including that symbol and got the 500 error again.

This worked on 1.3.0, but fails on 1.4.0.  If I add a pound sign into the comments section, there is no problem.

Error log:

Processing IssuesController#show (for 195.171.105.102 at 2012-04-25 13:35:05) [GET]

  Parameters: {"controller"=>"issues", "action"=>"show", "id"=>"589"}

Rendering template within layouts/base

Rendering issues/show

ActionView::TemplateError (incompatible character encodings: ASCII-8BIT and UTF-8) on line #129 of

 app/views/issues/show.html.erb:

126: <% if authorize_for('issues', 'edit') %>

127:   <div id="update" style="display:none;">

128:   <h3><%= l(:button_update) %></h3>

129:   <%= render :partial => 'edit' %>

130:   </div>

131: <% end %>

132: 

    app/views/issues/show.html.erb:129:in `concat'

    app/views/issues/show.html.erb:129

    app/controllers/issues_controller.rb:118:in `block (2 levels) in show'

    app/controllers/issues_controller.rb:115:in `show'

    <internal:prelude>:10:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_proces

s_next_request'

    passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_re

quest_handler'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in

 handle_spawn_application'

    passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_s

pawn_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

    passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn_ra

ils_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_applica

tion'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchro
nize'

    <internal:prelude>:10:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

    passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

    passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

    passenger (3.0.12) helper-scripts/passenger-spawn-server:99:in `<main>'

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

 Other information:

About your application's environment

Ruby version              1.9.2 (i686-linux)

RubyGems version          1.3.7

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20120301153455

About your Redmine plugins

Project Settings Hook         0.0.1

Redmine Code Review plugin    0.4.7

Default Assign plugin         0.2.0

Redmine Drafts plugin         0.1.1

Redmine Landing Page plugin   0.0.2

Sidebar content               0.0.4

History

#1 - 2012-04-25 14:44 - Alan Budden

For reference, the symbol I referred to in the text was "£".  On my server, including the symbol in a comment (Update "Note") is fine: it is only a

problem if in the main issue description.

#2 - 2012-04-25 15:22 - Etienne Massip

- Resolution set to Cant reproduce

I can't reproduce on trunk (1.4.1) with Ruby MRI 1.9.3.

#3 - 2012-04-25 15:22 - Etienne Massip

And PostgreSQL.

#4 - 2012-04-25 15:36 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

You need to use mysql2 on Ruby 1.9.

#5 - 2012-04-25 15:51 - Alan Budden

I installed mysql2 and got a lot of error messages about mysql being missing, so I installed that one as well.

#6 - 2012-04-25 16:28 - Toshi MARUYAMA

You need to change adapter name to mysql2.

source:tags/1.4.1/config/database.yml.example#L1
#7 - 2012-04-25 16:49 - Alan Budden

That's fixed it.  Thanks for the help and apologies for the erroneous bug report.

#8 - 2012-05-02 21:44 - mathew murphy

- Status changed from Closed to Reopened

Not an erroneous report. I have this problem on 1.4.1 using PostgreSQL.

ActionView::TemplateError (incompatible character encodings: ASCII-8BIT and UTF-

8) on line #129 of app/views/issues/show.html.erb:

126: <% if authorize_for('issues', 'edit') %>

127:   <div id="update" style="display:none;">

128:   <h3><%= l(:button_update) %></h3>

129:   <%= render :partial => 'edit' %>

130:   </div>

131: <% end %>

132:

Version: Redmine 1.4.1.stable.9615 (PostgreSQL). Ticket causing error was entered about a month ago using Redmine 1.3.

#9 - 2012-05-02 22:01 - mathew murphy

Attempting to create a new ticket in Redmine containing the string "Écouté bien!" causes the same error.

#10 - 2012-05-02 22:03 - Jean-Philippe Lang

mathew murphy wrote:

Attempting to create a new ticket in Redmine containing the string "Écouté bien!" causes the same error.

 What is your database gem?

#11 - 2012-05-02 22:07 - mathew murphy

Further investigation reveals that the data is correctly written to the database, it's just reading and rendering it that is failing:

redmine=> select description from issues where id = '1160';

description

--------------

Écouté bien!

(1 row)

#12 - 2012-05-02 22:07 - mathew murphy

Database gem is pg (0.12.0).

Here's a complete list:

actionmailer (2.3.14)

actionpack (2.3.14)

activerecord (2.3.14)

activeresource (2.3.14)

activesupport (2.3.14)

bigdecimal (1.1.0)

bundler (1.1.3)

coderay (1.0.6, 1.0.4)

daemon_controller (0.2.6)

fastthread (1.0.7)

i18n (0.4.2)

io-console (0.3)

json (1.6.3, 1.5.4)

minitest (2.5.1)

mysql2 (0.2.18)

net-ldap (0.3.1)

passenger (3.0.12, 3.0.11)

pg (0.12.0)

rack (1.1.1)

rails (2.3.14)

rake (0.9.2.2, 0.9.2)

rake-compiler (0.7.9)

rdiscount (1.6.8)

rdoc (3.11, 3.9.4)
rmagick (2.13.1)

rpeg-multimarkdown (0.1.1)

ruby-ldap (0.9.12, 0.9.11)

ruby-openid (2.1.8)

sqlite3 (1.3.5)

tree (0.2.1)

tzinfo (0.3.33)

#13 - 2012-05-02 22:10 - Jean-Philippe Lang

And your ruby version?

#14 - 2012-05-02 22:10 - mathew murphy

Aha! I've traced the problem. I've got a plugin installed to allow Markdown formatting. That seems to be causing the issue. Now I just need to work out

how to fix it.

#15 - 2012-05-02 22:15 - Jean-Philippe Lang

- Status changed from Reopened to Closed

OK, thanks.

#16 - 2012-05-02 22:32 - mathew murphy

OK, problem traced, defect in Markdown gem reported, plugin fixed and pushed

Sorry for the false alarm. Forgot about the plugin. (Wish Markdown formatting was the default.)
